<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varEmp = (isset($varForm["emp"]) && $varForm["emp"]<>"Ninguno")?$varForm["emp"]:"NULL";
	$varTip = (isset($varForm["tip"]) && $varForm["tip"]<>"Ninguno")?$varForm["tip"]:"NULL";
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$sql = "call spQuery_Serie_Punto_Venta($varEmp, $varTip, $_SESSION[_CUSE], $varFie, $varOrd);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsTipoDocVenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xFormuRegistro($varCod, $varOpt) {
	$var = VarServer("MYSQLI");
	$obj = new clsTipoDocVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varCod, $varOpt);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsTipoDocVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsTipoDocVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varError = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varError=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varError."\nVERIFIQUE LOS DATOS POR FAVOR");
	
	return $respuestaXajax;
	}
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsTipoDocVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}
			
$xajax->register(XAJAX_FUNCTION, 'ComboListaPuntoVenta');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else if (xajax.$("pun") && xajax.$("pun").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PUNTO DE VENTA");  
			xajax.$("pun").focus();
			return (false); 
			}
		else if (xajax.$("tip") && xajax.$("tip").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("ser") && xajax.$("ser").value== "") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE SERIE");  
			xajax.$("ser").focus();
			return (false); 
			}
		else if (xajax.$("sec") && xajax.$("sec").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE SUCUENCIA");  
			xajax.$("sec").focus();
			return (false); 
			}
		if (_confirm('&iquest;DESEA GRABAR LOS DATOS?')) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
	function xEliminarJS(varCod, varNom, varTab) {

		if(_confirm('&iquest;ESTA SEGURO DE ELIMINAR EL REGISTRO?')) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
				
		}
	function FormuRegistroJS(varCod, varOpt) {
		UnTip();
		xajax_xFormuRegistro(varCod, varOpt);		
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>